#include "options.h"
#include "ui_options.h"
#include "QFile"
#include "QDebug"

options::options(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::options)
{
    ui->setupUi(this);
    setWindowTitle("Настройки");
    setWindowFlags(Qt::Dialog | Qt::MSWindowsFixedSizeDialogHint); //Данная строчка запрещает изменение размеров окна
    connect(ui->btnOk,     SIGNAL(clicked()), this, SLOT(Ok()));
    connect(ui->btnCancel, SIGNAL(clicked()), this, SLOT(Cancel()));
    ui->check1->setStyleSheet("QCheckBox { color: white }");
    ui->check2->setStyleSheet("QCheckBox { color: white }");
    ui->check3->setStyleSheet("QCheckBox { color: white }");
    ui->check1->setChecked(false); //Здесь мы устанавливаем чекбокс без галочки. Смысл в том, чтобы его состояние изменилось
    //в том случае, если конфиг настроен на сохранение пути файла, что приведет к активации signalFilePath
    ui->check2->setChecked(false);
    ui->check3->setChecked(false);

}

options::~options()
{
    delete ui;
}

void options::Ok()
{
    emit signalFilePath(Path);
    emit signalOpenPath(openPath);
    emit signalGlibc(glibc);
    this->close();
}

void options::Cancel()
{
    this->close();
}




void options::slot(bool a) //Принимаем состояние конфига
{
    if (a == true) {
        ui->check1->setChecked(true);
    }
    else {
        ui->check1->setChecked(false);
    }
}

void options::slot2(bool b)
{
    if (b == true) {
        ui->check2->setChecked(true);
    }
    else {
        ui->check2->setChecked(false);
    }
}

void options::slot3(bool c)
{
    if (c == true) {
        ui->check3->setChecked(true);
    }
    else {
        ui->check3->setChecked(false);
    }
}

void options::on_check1_stateChanged(int arg1)
{
     if(ui->check1->isChecked()){
          Path = true;
     }
     else Path = false;
}

void options::on_check2_stateChanged(int arg1)
{
         if(ui->check2->isChecked()){
                openPath = true;
         }
         else   openPath = false;
}


void options::on_check3_stateChanged(int arg1)
{

    if(ui->check3->isChecked()){
           glibc = true;
    }
    else   glibc = false;
}

